/**********************************************************************
 * lipo_functions.h
 * Prototypes for functional routines of Lipower board
 *
 * Written by Chris Taylor for Sparkfun Electronics 7/25/08
 *********************************************************************/

int wastetime(int time); 	// Little delay
int sleep(void);		// Put processor to sleep with interrupts enabled
int check_char(char incoming);	// Check incoming USART char
int store_voltage(int volt);	// Store ADC voltage on interrupt
int volt_avg(volatile int *array);	// ADC running average
int gen_info(void);		// Returns general info byte (see datasheet)
int power_status(void);		// Returns status of Out 1, 2, and 3
int power_up_down(int module, int updown);	// Control function for outputs
int get_gen_info(void);		// Old function, calls, returns gen_info
int get_power_status(void);	// Old function, calls, returns power_status
int out1_on(void);		// Separate calls for power output controls
int out1_off(void);
int out2_on(void);
int out2_off(void);
int out3_on(void);
int out3_off(void);
int reset_MSP(void);		// Trips WDT, resets chip
int check_charge(void);		// Checks to see if charging battery, updates LED
