/******************************************************************
 * lipo_inits.h 
 * Prototypes for initialization routines for Lipower 
 * 
 * Written by Chris Taylor for Sparkfun Electronics, 7/25/08
 *****************************************************************/
#ifndef LIPO_INITS_H
#define LIPO_INITS_H
 
/* Initialize system clock to be nominally 4.9 MHZ */
int init_clock(void);

/* Initialize SPI for USART0. WARNING: DOES NOT SET GIE! */
int init_SPI(void);

/* Initialize WDT. DOES NOT SET GIE!*/
int init_WDT(void);

/* Start ACLK as real-time clock */
int init_ACLK(void);

/* Initialize Timer A on ACLK, interrupt every second */
int init_timerA(void);

/* Initialize P2 P3 */
int init_GPIO(void);

/* Inititalize buttons as inputs on IN0-3 */
int init_buttons(void);

int init_ADC10(void);

#endif
