/**************************************************************
 * main.c
 * Lipower battery controller board code
 *
 * Written by Chris Taylor for Sparkfun Electronics 07/25/08
 * ***********************************************************/

#include <msp430x12x2.h>
#include <signal.h>
#include <iomacros.h>
#include <msp430/usart.h>
#include <msp430/gpio.h>
#include "lipo_inits.h"
#include "lipo_functions.h"
#include <msp430/timera.h>

int main(void)
{
    init_WDT();
    init_clock();
    init_timerA();
    init_SPI();
    init_GPIO();
    init_ADC10();
    _BIS_SR(GIE);
    sleep();
    while(1);
    
}

interrupt (TIMERA1_VECTOR) timer_intrpt(void)
{
    check_charge(); // Check charge line, update charge LED
    TAIV = 0;
}

interrupt (USART0TX_VECTOR) tx_intrpt(void)
{
}

interrupt (USART0RX_VECTOR) rx_intrpt(void)
{
    char new_char = U0RXBUF;
    U0TXBUF = check_char(new_char);
}

interrupt (WDT_VECTOR) wdt_intrpt(void)
{
}

interrupt (PORT1_VECTOR) butn_intrpt(void)
{
}

interrupt (ADC10_VECTOR) ADC_ISR(void)
{
    store_voltage(ADC10MEM);
}

